Subject: Re: [PATCH] drivers: connector: cn_proc: allow limiting certain messages

From: "Daniel Walker (danielwa)" <[email-masked]>
Date: Mon, 17 Feb 2020 17:25:57 +0000

On Sun, Feb 16, 2020 at 06:44:43PM -0800, David Miller wrote:
> 
> This is a netlink based facility, therefore please you should add filtering
> capabilities to the netlink configuration and communications path.
> 
> Module parameters are quite verboten.

How about adding in Kconfig options to limit the types of messages? The issue
with this interface is that it's very easy for someone to enable the interface
as a listener, then never turn the interface off. Then it becomes a broadcast
interface. It's desirable to limit the more noisy messages in some cases.

Daniel